# inspect_type_links.first module

First module

Foo, first.Foo and inspect_type_links.first.Foo should lead to the same class.

## Modules

module sub
  Submodule

## Classes

class Foo
  A class in the first module

## Functions

def reference_other(a: second.Foo)
  A function referencing a type in another module
def reference_self(a: Foo, b: Foo)
  A function referencing a type in this module
def reference_sub(a: sub.Foo, b: sub.Foo)
  A function referencing a type in a submodule